osl-0.2.0.
[osl.git] / INSTALL
diff --git a/INSTALL b/INSTALL
index e370904..b92a083 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -1,36 +1,33 @@
-As the bare minimum, you'll need gcc-4 and gnu make to install
-libosl. gengetopt is needed to build the oslfsck executable, and
-help2man to generate its man page.
+Besides a working C compiler, gnu m4, gnu make and the
+[lopsub](http://people.tuebingen.mpg.de/maan/lopsub/) library must be
+installed to to build and install this package. Download and install
+lopsub with
+
+               git clone git://git.tuebingen.mpg.de/lopsub
+               cd lopsub && make && sudo make install
 
 If everything mentioned above is available on your system, type
 
                make
 
-to build the library, the oslfsck executable and the man page. Then
-type
-
-               make install
-
-as root to install libosl, oslfsck and the man page. Finally, update
-the library cache by running either
+to build libosl. Then type
 
-               ldconfig # Linux, *BSD
+               sudo make install
 
-or
+to install. Finally, update the library cache by running
 
-               update_dyld_shared_cache # MacOS
+               ldconfig
 
-The default installation prefix is /usr/local. Use
+The default installation prefix is `/usr/local`. Use
 
                make install PREFIX=/somewhere/else
 
-to install in /somewhere/else instead.
+to install in `/somewhere/else` instead.
 
-The make targets in the web/ directory are used for web page generation
+The make targets in the `web/` directory are used for web page generation
 and are not needed to compile, install or use libosl. In order to
 make these targets the following additional tools are needed:
 
-- [doxygen](http://www.stack.nl/~dimitri/doxygen/)
 - [discount](http://www.pell.portland.or.us/~orc/Code/discount/)
 - [ImageMagick](http://www.imagemagick.org/script/index.php)